
Smart Proxy - Bug #23433

ISC DHCP new parser my break when parsing lease uids

04/27/2018 07:55 PM - Anonymous

Status: Closed   

Priority: Normal   

Assignee:    

Category: DHCP   

Target version: 1.17.2   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.17.1

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/583,

https://github.com/theforeman/smart-pro

xy/pull/588

  

Description

Related issues:

Related to Smart Proxy - Bug #23031: ISC DHCP new parser is still unable to p... Closed

Related to Smart Proxy - Bug #24978: ISC DHCP parser does not support DDNS en... Closed

Associated revisions

Revision 14a7505f - 05/23/2018 02:43 PM - Dmitri Dolguikh 

Fixes #23433 - lease uids are now parsed correctly

History

#1 - 04/27/2018 07:55 PM - Anonymous

- Related to Bug #23031: ISC DHCP new parser is still unable to parse DUID added

#2 - 05/02/2018 06:18 PM - Huaqing Z

The literal regex is still broken.

        def server_duid

          Rsec::Fail.reset

          keyword = word('server-duid').fail 'keyword_server_duid'

          anything = /[^;,{}\s]+/.r

          literal = /"([^"]|\")*"/.r

 fails on

server-duid "\000\001\000\001\"vt\346\000PV\225S\347";

 Changing the regex to

          literal = /"([^"]|\\\")*"/.r

 Though you could just literally do /".*"/ and rely on greedy regex match to fix the issue and simplify the code.

#3 - 05/02/2018 06:34 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Anonymous

- Pull request https://github.com/theforeman/smart-proxy/pull/583 added

#4 - 05/23/2018 03:01 PM - Anonymous

- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 14a7505ffb8a57fd787edfc47b9fbd379399029c.

#5 - 05/28/2018 09:07 AM - Ivan Necas

- translation missing: en.field_release set to 330

I guess this should be pulled into 1.18 release

#6 - 06/10/2018 06:31 PM - Timo Goebel

1.17 branch would be even better. Unfortunately, I can't update the release field.

#7 - 06/13/2018 06:22 AM - The Foreman Bot

- Pull request https://github.com/theforeman/smart-proxy/pull/588 added

#8 - 06/13/2018 06:23 AM - Lukas Zapletal

- Category set to DHCP

- translation missing: en.field_release changed from 330 to 360

Requesting backport into 1.17, this is an important one: #23784

#9 - 06/14/2018 08:00 AM - Han Boetes

I concur, this is an important patch. For anyone wanting to try the patch on 1.17:

wget https://github.com/theforeman/smart-proxy/pull/588.diff

edit the file and remove the "test" chunk below.

cd /usr/share/foreman-proxy/

patch -p1 -i ~/588.diff

service foreman-proxy restart

#10 - 09/19/2018 01:25 PM - Ian Freislich

- Related to Bug #24978: ISC DHCP parser does not support DDNS entries added
